Bug 738029 - Teiid SOA v5.1.0 plugin will not install for JON v3.0.0 Server
Teiid SOA v5.1.0 plugin will not install for JON v3.0.0 Server
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0 Beta1
x86_64 Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: jon30-bugs rhq42
  Show dependency treegraph
 
Reported: 2011-09-13 12:35 EDT by Douglas Woods
Modified: 2012-08-15 08:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:17:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Teiid Plugin v3.0 Beta1 (7.74 MB, application/zip)
2011-09-29 09:16 EDT, Douglas Woods
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2065 Minor Closed In the rhq-plugin.xml, the not-used attribute of c:option (deprecated) to be replaced with simple-property 2013-06-05 23:09:29 EDT

  None (edit)
Description Douglas Woods 2011-09-13 12:35:38 EDT
Description of problem:
Cannot install Teiid plugin into JON Server v3.0.0.BETA


Version-Release number of selected component (if applicable):
v3.0.0.BETA

How reproducible:
Copy rhq-teiid-plugin-SOA-5.1.0.jar to ../jon-server-3.0.0.BETA1/plugins/rhq-teiid-plugin-SOA-5.1.0.jar

Steps to Reproduce:
1.Copy rhq-teiid-plugin-SOA-5.1.0.jar to ../jon-server-3.0.0.BETA1/plugins/rhq-teiid-plugin-SOA-5.1.0.jar
2.
3.
  
Actual results:
Jar renamed to ../jon-server-3.0.0.BETA1/plugins/rhq-teiid-plugin-SOA-5.1.0.jar.fixme


Expected results:
Plugin installed and available to Agents.

Additional info:
Server Log file shows:
2011-09-13 12:13:22,350 ERROR [org.rhq.core.clientapi.descriptor.AgentPluginDescriptorUtil] Validation fatal error while parsing [rhq-teiid-plugin-SOA-5.1.0.jar:META-INF/rhq-plugin.xml] at line 541, column 92: cvc-complex-type.3.2.2: Attribute 'default' is not allowed to appear in element 'c:option'.
2011-09-13 12:13:22,380 WARN  [org.rhq.enterprise.server.core.plugin.PluginDeploymentScanner] Does not look like [/home/dwoods/jon/jon-server-3.0.0.BETA1/plugins/rhq-teiid-plugin-SOA-5.1.0.jar.fixme] is a plugin jar -(Cause: java.lang.NullPointerException:no xml descriptor found in jar). It will be ignored. Please fix that file or remove it.
Comment 1 Heiko W. Rupp 2011-09-28 11:36:54 EDT
IIrc we have taken that option out -- but as far as I recall, this has never worked before 

We should for this release still allow "default", but spit out clear deprecation warnings.
Comment 2 Douglas Woods 2011-09-29 09:16:46 EDT
Created attachment 525566 [details]
Teiid Plugin v3.0 Beta1

Attached is the requested Teiid plugin
Comment 3 Heiko W. Rupp 2011-09-29 11:49:46 EDT
b31e834 on master:

partially revert BZ BZ 536496, so that plugins that still use the deprecated (and useless) attribute can be deployed.
Spits now a warning like this in server and agent log:

17:38:20,198 WARN  [ConfigurationMetadataParser] For simple-property [connectionType], attribute 'default' on c:option is useless and deprecated.
   Please use the 'default' attribute on the c:simple-property.
   This attribute will be removed in the future.
Comment 4 Sunil Kondkar 2011-09-30 08:28:29 EDT
Verified on build#449 (Version: 4.1.0-SNAPSHOT Build Number: 4d56f0b)

Uploaded the rhq-teiid-plugin-SOA-5.1.0.jar in Administration->Configuration->Plugins->Agent Plugins. Did a 'plugins update' at agent prompt. The teiid-plugin is then available in the UI at  Administration->Configuration->Plugins->Agent Plugins.

Below warning message are displayed in server log and agent log:


2011-09-30 17:46:54,514 WARN  [ConfigurationMetadataParser] !!
For simple-property [status], attribute 'default' on c:option is useless and deprecated.
   Please use the 'default' attribute on the c:simple-property.
   The deprecated attribute will be removed in the future.
!!
2011-09-30 17:46:54,514 WARN  [ConfigurationMetadataParser] !!
For simple-property [connectionType], attribute 'default' on c:option is useless and deprecated.
   Please use the 'default' attribute on the c:simple-property.
   The deprecated attribute will be removed in the future.
!!
2011-09-30 17:46:54,516 WARN  [ConfigurationMetadataParser] !!
For simple-property [cacheType], attribute 'default' on c:option is useless and deprecated.
   Please use the 'default' attribute on the c:simple-property.
   The deprecated attribute will be removed in the future.
Comment 5 Douglas Woods 2011-09-30 09:45:43 EDT
Is this new Teiid jar available for my testing?
Comment 6 Heiko W. Rupp 2011-09-30 10:04:34 EDT
Doug, I have used the jar you added to this case - you rather would need a newer version of RHQ like build 449 that Sunil was testing against.
Comment 7 Douglas Woods 2011-10-03 15:29:57 EDT
Heiko, will the JON v3.0 Beta bits be refreshed on the JON V3.0 Beta download from the Customer Support Portal? If not, how does one get access to the builds which have issues fixed?
Comment 9 Mike Foley 2012-02-07 14:17:53 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 10 JBoss JIRA Server 2012-06-06 21:04:26 EDT
Steven Hawkins <shawkins@redhat.com> made a comment on jira TEIID-2065

Does this need to be in 7.7.1?  If not, then I believe we should just reject the issue.
Comment 11 JBoss JIRA Server 2012-06-07 08:01:34 EDT
Van Halbert <vhalbert@jboss.org> made a comment on jira TEIID-2065

Waiting to here back if there is a planned release of rhq before 8.x is release in which the deprecated property has been removed.  That would would make it necessary to get into 7.7.x
Comment 12 JBoss JIRA Server 2012-06-11 16:20:14 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIID-2065 to Coding In Progress
Comment 13 JBoss JIRA Server 2012-06-11 16:22:23 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIID-2065 to Resolved
Comment 14 JBoss JIRA Server 2012-06-11 16:22:23 EDT
Van Halbert <vhalbert@jboss.org> made a comment on jira TEIID-2065

committed to 7.7.1
rev: 4173
Comment 15 JBoss JIRA Server 2012-08-15 08:41:33 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2065 to Closed

Note You need to log in before you can comment on or make changes to this bug.